#include "extra.h"

void	ft_swap(void *a, void *b)
{
	void	*c;

	c = a;
	a = b;
	b = c;
}

void	ft_swap_char(char *a, char *b)
{
	char	c;

	c = *a;
	*a = *b;
	*b = c;
}

void	ft_swap_int(int *a, int *b)
{
	int	c;

	c = *a;
	*a = *b;
	*b = c;
}
